curl --request POST \
--url https://api.getcortexapp.com/api/v1/initiatives \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emphasizedLevels": [
{
"rank": 123
}
],
"emphasizedRules": [
{
"expression": "<string>"
}
],
"isDraft": true,
"name": "<string>",
"scorecardTag": "<string>",
"targetDate": "2023-12-25",
"description": "<string>",
"filter": {
"groups": {
"exclude": [
"<string>"
],
"include": [
"<string>"
]
},
"query": "<string>",
"types": {
"exclude": [
"<string>"
],
"include": [
"<string>"
]
}
}
}
'import requests
url = "https://api.getcortexapp.com/api/v1/initiatives"
payload = {
"emphasizedLevels": [{ "rank": 123 }],
"emphasizedRules": [{ "expression": "<string>" }],
"isDraft": True,
"name": "<string>",
"scorecardTag": "<string>",
"targetDate": "2023-12-25",
"description": "<string>",
"filter": {
"groups": {
"exclude": ["<string>"],
"include": ["<string>"]
},
"query": "<string>",
"types": {
"exclude": ["<string>"],
"include": ["<string>"]
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emphasizedLevels: [{rank: 123}],
emphasizedRules: [{expression: '<string>'}],
isDraft: true,
name: '<string>',
scorecardTag: '<string>',
targetDate: '2023-12-25',
description: '<string>',
filter: {
groups: {exclude: ['<string>'], include: ['<string>']},
query: '<string>',
types: {exclude: ['<string>'], include: ['<string>']}
}
})
};
fetch('https://api.getcortexapp.com/api/v1/initiatives', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"emphasizedLevels": [
{
"color": "<string>",
"name": "<string>",
"rank": 123
}
],
"emphasizedRules": [
{
"expression": "<string>",
"description": "<string>",
"title": "<string>"
}
],
"isDraft": true,
"name": "<string>",
"scorecardName": "<string>",
"scorecardTag": "<string>",
"targetDate": "2023-12-25",
"cid": "in2da8159dbeefb974",
"description": "<string>",
"filter": {
"groups": {
"exclude": [
"<string>"
],
"include": [
"<string>"
]
},
"query": "<string>",
"types": {
"exclude": [
"<string>"
],
"include": [
"<string>"
]
}
},
"notificationSchedule": {
"isDisabled": true,
"timeInterval": 123,
"timeUnit": "<string>",
"replyToEmails": [
"<string>"
]
}
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}Create an Initiative
Create an Initiative.
API key must have the Edit Initiative permission.
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Body
Emphasized levels for the Initiative. Either emphasized levels or rules must be provided
Show child attributes
Show child attributes
Emphasized rules for the Initiative. Either emphasized levels or rules must be provided
Show child attributes
Show child attributes
Whether or not the Initiative is a draft
Name of the Initiative
Tag of the scorecard associated with the Initiative
Target date for the Initiative to be completed. Must be in the future
Optional description of the Initiative
Filter that selects the entities in the catalog, for FILTER catalogs
Show child attributes
Show child attributes
Notification schedule for the Initiative
Show child attributes
Show child attributes
Response
Successfully created Initiative
Time the Initiative was created
Time the Initiative was last updated
Emphasized levels for the Initiative
Show child attributes
Show child attributes
Emphasized rules for the Initiative
Show child attributes
Show child attributes
Whether or not the Initiative is a draft
Name of the Initiative
Name of the scorecard associated with the Initiative
Tag of the scorecard associated with the Initiative
Target date for the Initiative to be completed
Unique, immutable, 18-character auto-generated identifier for the Initiative.
"in2da8159dbeefb974"
Optional description of the Initiative
Filter that selects the entities in the catalog, for FILTER catalogs
Show child attributes
Show child attributes
Notification schedule for the Initiative
Show child attributes
Show child attributes